Retail Express API 2.1

Gets specific Order Payment

Gets specific Order Payment

get
https://api.retailexpress.com.au/v2.1/orderpayments/{id}

Path Parameters

idinteger(int32)required

Payment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Payment

ExtendedOrderPayment

Order Payment Model

* Additional properties are NOT allowed.
idinteger(int32)

Order Payment Id .

external_idstring | null

External Id.

payment_methodobject

Payment Method Model

* Additional properties are NOT allowed.
Show Child Parameters
amountnumber(double)

Amount.

created_onstring(date-time)

Created On.

order_idinteger(int32)

Order Id .

order_numberstring | null

Order Number.

get/orderpayments/{id}
 
application/json

orders

Searches Order Fulfilments by parameters

Searches Order Fulfilments by parameters

get
https://api.retailexpress.com.au/v2.1/orders/{id}/fulfilments

Query Parameters

created_sincestring | null(date-time)

Created since

filter_bystring | null

Filter by.

Available field name values: id, order_item_id, fulfil_outlet, created_on, serial_number.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,id:in:2|3

order_bystring | null

Order by.

Available field name values: id, order_item_id, fulfil_outlet, created_on.

Available direction values: asc, desc.

Example: id asc, fulfil_outlet desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Order id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Order Fulfilments

Fulfilment.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Fulfilment model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orders/{id}/fulfilments
 
application/json

Gets specific Order Fulfilment

Gets specific Order Fulfilment

get
https://api.retailexpress.com.au/v2.1/orders/{id}/fulfilments/{fulfilment_id}

Path Parameters

idinteger(int32)required

Order id

fulfilment_idinteger(int32)required

Fulfilment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Fulfilment

Fulfilment

Fulfilment model

* Additional properties are NOT allowed.
idinteger(int32)

Fulfilment id

order_item_idinteger(int32)

Order Item Id

quantity_fulfiledinteger(int32)

Fulfiled quantity of products

fulfil_outletobject
* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created On

serial_numberstring | null

Serial Number

get/orders/{id}/fulfilments/{fulfilment_id}
 
application/json

Searches Order Items by parameters

Searches Order Items by parameters

get
https://api.retailexpress.com.au/v2.1/orders/{id}/orderitems

Query Parameters

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

filter_bystring | null

Filter by.

Available field name values: id, order_item_type, return_reason_id, return_reason_name, original_order_item_id, notes, fulfil_outlet, source_outlet, created_on, modified_on, serial_number.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,id:in:2|3

order_bystring | null

Order by.

Available field name values: id, order_item_type, return_reason_name, notes, fulfil_outlet, source_outlet, created_on, modified_on.

Available direction values: asc, desc.

Example: id asc, order_item_type desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Order id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Order Items

OrderItem.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Order Item Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orders/{id}/orderitems
 
application/json